Package org.etsi.uri._01903.v1_3

# Class CommitmentTypeQualifiersListType

java.lang.Object
org.etsi.uri._01903.v1_3.CommitmentTypeQualifiersListType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class CommitmentTypeQualifiersListType extends Object implements Serializable

Java class for CommitmentTypeQualifiersListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommitmentTypeQualifiersListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommitmentTypeQualifier" type="{http://uri.etsi.org/01903/v1.3.2#}AnyType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitmentTypeQualifiersListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Any>`
  `getCommitmentTypeQualifiers()`
  Gets the value of the commitmentTypeQualifiers property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommitmentTypeQualifiersListType

    public CommitmentTypeQualifiersListType()

- ## Method Details

  - ### getCommitmentTypeQualifiers

    public List<Any> getCommitmentTypeQualifiers()
    Gets the value of the commitmentTypeQualifiers property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commitmentTypeQualifiers property.

    For example, to add a new item, do as follows:

         getCommitmentTypeQualifiers().add(newItem);

    Objects of the following type(s) are allowed in the list `Any`

    Returns:
      The value of the commitmentTypeQualifiers property.